Prepare 3.5.0-SNAPSHOT builds

Change-Id: I53bd500188e09ae2e007a58b3cd89aa0805d6f2a
Signed-off-by: Robin Rosenberg <robin.rosenberg@dewire.com>
diff --git a/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
index 2749093..6f629d3 100644
--- a/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
@@ -3,14 +3,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.ant.test
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Import-Package: org.apache.tools.ant,
- org.eclipse.jgit.ant.tasks;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.junit;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
+ org.eclipse.jgit.ant.tasks;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.junit;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
  org.hamcrest;version="[1.1.0,2.0.0)",
  org.junit;version="[4.0.0,5.0.0)"
diff --git a/org.eclipse.jgit.ant.test/pom.xml b/org.eclipse.jgit.ant.test/pom.xml
index 920b045..04c9d7a 100644
--- a/org.eclipse.jgit.ant.test/pom.xml
+++ b/org.eclipse.jgit.ant.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ant.test</artifactId>
diff --git a/org.eclipse.jgit.ant/META-INF/MANIFEST.MF b/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
index 52f864d..2fadc7f 100644
--- a/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.jgit.ant
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Import-Package: org.apache.tools.ant,
-  org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)"
+  org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)"
 Bundle-Localization: plugin
 Bundle-Vendor: %Provider-Name
-Export-Package: org.eclipse.jgit.ant.tasks;version="3.4.0";
+Export-Package: org.eclipse.jgit.ant.tasks;version="3.5.0";
  uses:="org.apache.tools.ant.types,org.apache.tools.ant"
diff --git a/org.eclipse.jgit.ant/pom.xml b/org.eclipse.jgit.ant/pom.xml
index c160503..3222037 100644
--- a/org.eclipse.jgit.ant/pom.xml
+++ b/org.eclipse.jgit.ant/pom.xml
@@ -48,7 +48,7 @@
 	<parent>
 		<groupId>org.eclipse.jgit</groupId>
 		<artifactId>org.eclipse.jgit-parent</artifactId>
-		<version>3.4.0-SNAPSHOT</version>
+		<version>3.5.0-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.eclipse.jgit.ant</artifactId>
diff --git a/org.eclipse.jgit.archive/META-INF/MANIFEST.MF b/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
index 31eab60..2eaa720 100644
--- a/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.archive
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
@@ -12,13 +12,13 @@
  org.apache.commons.compress.compressors.bzip2;version="[1.4,2.0)",
  org.apache.commons.compress.compressors.gzip;version="[1.4,2.0)",
  org.apache.commons.compress.compressors.xz;version="[1.4,2.0)",
- org.eclipse.jgit.api;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
+ org.eclipse.jgit.api;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
  org.osgi.framework;version="[1.3.0,2.0.0)"
 Bundle-ActivationPolicy: lazy
 Bundle-Activator: org.eclipse.jgit.archive.FormatActivator
-Export-Package: org.eclipse.jgit.archive;version="3.4.0";
+Export-Package: org.eclipse.jgit.archive;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.api,
    org.apache.commons.compress.archivers,
diff --git a/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
index 66c467d..0a5abed 100644
--- a/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.archive - Sources
 Bundle-SymbolicName: org.eclipse.jgit.archive.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 3.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.archive;version="3.4.0.qualifier";roots="."
+Bundle-Version: 3.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.archive;version="3.5.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.archive/pom.xml b/org.eclipse.jgit.archive/pom.xml
index d9cf851..5a6e221 100644
--- a/org.eclipse.jgit.archive/pom.xml
+++ b/org.eclipse.jgit.archive/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.archive</artifactId>
diff --git a/org.eclipse.jgit.console/META-INF/MANIFEST.MF b/org.eclipse.jgit.console/META-INF/MANIFEST.MF
index 1726d4b..e3b216f 100644
--- a/org.eclipse.jgit.console/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.console/META-INF/MANIFEST.MF
@@ -3,11 +3,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.console
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Export-Package: org.eclipse.jgit.console;version="3.4.0"
-Import-Package: org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)"
+Export-Package: org.eclipse.jgit.console;version="3.5.0"
+Import-Package: org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)"
diff --git a/org.eclipse.jgit.console/pom.xml b/org.eclipse.jgit.console/pom.xml
index a84e489..c1a3e45 100644
--- a/org.eclipse.jgit.console/pom.xml
+++ b/org.eclipse.jgit.console/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.console</artifactId>
diff --git a/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
index 1d00633..a9c1b97 100644
--- a/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.jgit.http.apache
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-Localization: plugin
 Bundle-Vendor: %Provider-Name
@@ -18,10 +18,10 @@
  org.apache.http.impl.client;version="[4.1.0,5.0.0)",
  org.apache.http.impl.client.cache;version="[4.1.0,5.0.0)",
  org.apache.http.params;version="[4.1.0,5.0.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.http;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)"
-Export-Package: org.eclipse.jgit.transport.http.apache;version="3.4.0";
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.http;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)"
+Export-Package: org.eclipse.jgit.transport.http.apache;version="3.5.0";
   uses:="org.eclipse.jgit.transport.http,
    javax.net.ssl,
    org.apache.http.client,
diff --git a/org.eclipse.jgit.http.apache/pom.xml b/org.eclipse.jgit.http.apache/pom.xml
index 32fb6a9..ded24b7 100644
--- a/org.eclipse.jgit.http.apache/pom.xml
+++ b/org.eclipse.jgit.http.apache/pom.xml
@@ -48,7 +48,7 @@
 	<parent>
 		<groupId>org.eclipse.jgit</groupId>
 		<artifactId>org.eclipse.jgit-parent</artifactId>
-		<version>3.4.0-SNAPSHOT</version>
+		<version>3.5.0-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.eclipse.jgit.http.apache</artifactId>
diff --git a/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
index 53d27d5..3f6502c 100644
--- a/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.http.server
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Export-Package: 
- org.eclipse.jgit.http.server;version="3.4.0",
- org.eclipse.jgit.http.server.glue;version="3.4.0";
+ org.eclipse.jgit.http.server;version="3.5.0",
+ org.eclipse.jgit.http.server.glue;version="3.5.0";
   uses:="javax.servlet,javax.servlet.http",
- org.eclipse.jgit.http.server.resolver;version="3.4.0";
+ org.eclipse.jgit.http.server.resolver;version="3.5.0";
   uses:="org.eclipse.jgit.transport.resolver,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.transport,
@@ -18,11 +18,11 @@
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Import-Package: javax.servlet;version="[2.5.0,3.0.0)",
  javax.servlet.http;version="[2.5.0,3.0.0)",
- org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.resolver;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)"
+ org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)"
diff --git a/org.eclipse.jgit.http.server/pom.xml b/org.eclipse.jgit.http.server/pom.xml
index 32c2b8f..322dc01 100644
--- a/org.eclipse.jgit.http.server/pom.xml
+++ b/org.eclipse.jgit.http.server/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.http.server</artifactId>
diff --git a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
index 2011cbf..b815cc4 100644
--- a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.http.test
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
@@ -22,23 +22,23 @@
  org.eclipse.jetty.util.log;version="[7.6.0,8.0.0)",
  org.eclipse.jetty.util.security;version="[7.6.0,8.0.0)",
  org.eclipse.jetty.util.thread;version="[7.6.0,8.0.0)",
- org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.http.server;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.http.server.glue;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.http.server.resolver;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.junit;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.junit.http;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.http;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.http.apache;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.resolver;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
+ org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.http.server;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.http.server.glue;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.http.server.resolver;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.junit;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.junit.http;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.http;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.http.apache;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.0.0,5.0.0)",
  org.junit.runner;version="[4.0.0,5.0.0)",
diff --git a/org.eclipse.jgit.http.test/pom.xml b/org.eclipse.jgit.http.test/pom.xml
index 95ffe04..5576aed 100644
--- a/org.eclipse.jgit.http.test/pom.xml
+++ b/org.eclipse.jgit.http.test/pom.xml
@@ -51,7 +51,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.http.test</artifactId>
diff --git a/org.eclipse.jgit.java7.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.java7.test/META-INF/MANIFEST.MF
index 03184e7..c736156 100644
--- a/org.eclipse.jgit.java7.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.java7.test/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.java7.test
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Import-Package: org.eclipse.jgit.api;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.diff;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.dircache;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="3.4.0",
- org.eclipse.jgit.junit;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
+Import-Package: org.eclipse.jgit.api;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.diff;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.dircache;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="3.5.0",
+ org.eclipse.jgit.junit;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
  org.junit;version="[4.11.0,5.0.0)"
diff --git a/org.eclipse.jgit.java7.test/pom.xml b/org.eclipse.jgit.java7.test/pom.xml
index 02c813f..59c47ca 100644
--- a/org.eclipse.jgit.java7.test/pom.xml
+++ b/org.eclipse.jgit.java7.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.java7.test</artifactId>
diff --git a/org.eclipse.jgit.java7/META-INF/MANIFEST.MF b/org.eclipse.jgit.java7/META-INF/MANIFEST.MF
index 6e39da3..c08853c 100644
--- a/org.eclipse.jgit.java7/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.java7/META-INF/MANIFEST.MF
@@ -3,8 +3,8 @@
 Fragment-Host: org.eclipse.jgit;bundle-version="3.1.1"
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.java7
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Export-Package: org.eclipse.jgit.util;version="3.4.0"
+Export-Package: org.eclipse.jgit.util;version="3.5.0"
diff --git a/org.eclipse.jgit.java7/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.java7/META-INF/SOURCE-MANIFEST.MF
index 02d41a3..89d9230 100644
--- a/org.eclipse.jgit.java7/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.java7/META-INF/SOURCE-MANIFEST.MF
@@ -3,6 +3,6 @@
 Bundle-Name: org.eclipse.jgit.java7 - Sources
 Bundle-SymbolicName: org.eclipse.jgit.java7.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 3.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.java7;version="3.4.0.qualifier";roots="."
+Bundle-Version: 3.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.java7;version="3.5.0.qualifier";roots="."
 
diff --git a/org.eclipse.jgit.java7/pom.xml b/org.eclipse.jgit.java7/pom.xml
index 0332f99..6d4aaf8 100644
--- a/org.eclipse.jgit.java7/pom.xml
+++ b/org.eclipse.jgit.java7/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.java7</artifactId>
diff --git a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
index 95dca9a..5492f75 100644
--- a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.junit.http
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
@@ -20,13 +20,13 @@
  org.eclipse.jetty.util.component;version="[7.6.0,8.0.0)",
  org.eclipse.jetty.util.log;version="[7.6.0,8.0.0)",
  org.eclipse.jetty.util.security;version="[7.6.0,8.0.0)",
- org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.http.server;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.junit;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.resolver;version="[3.4.0,3.5.0)",
+ org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.http.server;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.junit;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[3.5.0,3.6.0)",
  org.junit;version="[4.0.0,5.0.0)"
-Export-Package: org.eclipse.jgit.junit.http;version="3.4.0"
+Export-Package: org.eclipse.jgit.junit.http;version="3.5.0"
diff --git a/org.eclipse.jgit.junit.http/pom.xml b/org.eclipse.jgit.junit.http/pom.xml
index d324bfd..fd60605 100644
--- a/org.eclipse.jgit.junit.http/pom.xml
+++ b/org.eclipse.jgit.junit.http/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit.http</artifactId>
diff --git a/org.eclipse.jgit.junit/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
index 0593737..8410af0 100644
--- a/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.junit
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: org.eclipse.jgit.api;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.api.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.dircache;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.pack;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk.filter;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util.io;version="[3.4.0,3.5.0)",
+Import-Package: org.eclipse.jgit.api;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.api.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.dircache;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk.filter;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util.io;version="[3.5.0,3.6.0)",
  org.junit;version="[4.0.0,5.0.0)"
-Export-Package: org.eclipse.jgit.junit;version="3.4.0"
+Export-Package: org.eclipse.jgit.junit;version="3.5.0"
diff --git a/org.eclipse.jgit.junit/pom.xml b/org.eclipse.jgit.junit/pom.xml
index c403a1d..2899fde 100644
--- a/org.eclipse.jgit.junit/pom.xml
+++ b/org.eclipse.jgit.junit/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit</artifactId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
index e4496df..6990a31 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
index 0319b44..51300cc 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
index 74335ed..5970fea 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.http.apache"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
index e9a6607..e0699ee 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/feature.xml
index 4087400..2c117b5 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.java7"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/pom.xml
index 6d2e3e3..2bab654 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.java7.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
index 6405163..847fa03 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.junit"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
index 7d9ee96..b766cfb 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
index 8bcf092..d41ea71 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.pgm"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
@@ -27,7 +27,7 @@
          version="0.0.0"/>
 
    <requires>
-      <import feature="org.eclipse.jgit" version="3.4.0" match="equivalent"/>
+      <import feature="org.eclipse.jgit" version="3.5.0" match="equivalent"/>
    </requires>
 
    <plugin
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
index f7e5633..0156403 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
index 8a2e6e6..1924a65 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.pgm.source"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
index dd4f9e5..b7181cc 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
index 9096235..52efda1 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.repository</artifactId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
index 7b0b61d..16ff548 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.source"
       label="%featureName"
-      version="3.4.0.qualifier"
+      version="3.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
index ac22150..08addaf 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
index abf9eba..a0cfee9 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
@@ -2,4 +2,4 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JGit Target Platform Bundle
 Bundle-SymbolicName: org.eclipse.jgit.target
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
index 6a464b3..4fcc309 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
@@ -49,7 +49,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.target</artifactId>
diff --git a/org.eclipse.jgit.packaging/pom.xml b/org.eclipse.jgit.packaging/pom.xml
index 875d50c..80a5d6a 100644
--- a/org.eclipse.jgit.packaging/pom.xml
+++ b/org.eclipse.jgit.packaging/pom.xml
@@ -53,7 +53,7 @@
 
   <groupId>org.eclipse.jgit</groupId>
   <artifactId>jgit.tycho.parent</artifactId>
-  <version>3.4.0-SNAPSHOT</version>
+  <version>3.5.0-SNAPSHOT</version>
   <packaging>pom</packaging>
 
   <name>JGit Tycho Parent</name>
diff --git a/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
index b467d2d..fe425ed 100644
--- a/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
@@ -2,27 +2,27 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.pgm.test
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: org.eclipse.jgit.api;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.api.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.diff;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.dircache;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.junit;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.merge;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.pgm;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.pgm.internal;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.pgm.opt;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util.io;version="[3.4.0,3.5.0)",
+Import-Package: org.eclipse.jgit.api;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.api.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.diff;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.dircache;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.junit;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.merge;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.pgm;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.pgm.internal;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.pgm.opt;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util.io;version="[3.5.0,3.6.0)",
  org.hamcrest.core;bundle-version="[1.1.0,2.0.0)",
  org.junit;version="[4.4.0,5.0.0)",
  org.kohsuke.args4j;version="[2.0.12,2.1.0)"
diff --git a/org.eclipse.jgit.pgm.test/pom.xml b/org.eclipse.jgit.pgm.test/pom.xml
index 830f512..14a4b37 100644
--- a/org.eclipse.jgit.pgm.test/pom.xml
+++ b/org.eclipse.jgit.pgm.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.pgm.test</artifactId>
diff --git a/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF b/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
index b052e04..850146e 100644
--- a/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
@@ -2,43 +2,43 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.pgm
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Import-Package: org.apache.commons.compress.archivers;version="[1.3,2.0)",
  org.apache.commons.compress.archivers.tar;version="[1.3,2.0)",
  org.apache.commons.compress.archivers.zip;version="[1.3,2.0)",
- org.eclipse.jgit.api;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.api.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.archive;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.awtui;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.blame;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.diff;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.dircache;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.gitrepo;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.pack;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.merge;version="3.4.0",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.notes;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revplot;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk.filter;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.pack;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.resolver;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk.filter;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util.io;version="[3.4.0,3.5.0)",
+ org.eclipse.jgit.api;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.api.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.archive;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.awtui;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.blame;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.diff;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.dircache;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.gitrepo;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.merge;version="3.5.0",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.notes;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revplot;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk.filter;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.pack;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk.filter;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util.io;version="[3.5.0,3.6.0)",
  org.kohsuke.args4j;version="[2.0.12,2.1.0)",
  org.kohsuke.args4j.spi;version="[2.0.12,2.1.0)"
 Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.jgit.pgm;version="3.4.0";
+Export-Package: org.eclipse.jgit.pgm;version="3.5.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.pgm.opt,
@@ -49,10 +49,10 @@
    org.eclipse.jgit.treewalk,
    javax.swing,
    org.eclipse.jgit.transport",
- org.eclipse.jgit.pgm.debug;version="3.4.0";
+ org.eclipse.jgit.pgm.debug;version="3.5.0";
   uses:="org.eclipse.jgit.pgm",
- org.eclipse.jgit.pgm.internal;version="3.4.0";x-friends:="org.eclipse.jgit.pgm.test,org.eclipse.jgit.test",
- org.eclipse.jgit.pgm.opt;version="3.4.0";
+ org.eclipse.jgit.pgm.internal;version="3.5.0";x-friends:="org.eclipse.jgit.pgm.test,org.eclipse.jgit.test",
+ org.eclipse.jgit.pgm.opt;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.kohsuke.args4j.spi,
diff --git a/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
index 6d29757..eeac35b 100644
--- a/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.pgm - Sources
 Bundle-SymbolicName: org.eclipse.jgit.pgm.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 3.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.pgm;version="3.4.0.qualifier";roots="."
+Bundle-Version: 3.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.pgm;version="3.5.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.pgm/pom.xml b/org.eclipse.jgit.pgm/pom.xml
index 8ef89ce..93d56a4 100644
--- a/org.eclipse.jgit.pgm/pom.xml
+++ b/org.eclipse.jgit.pgm/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.pgm</artifactId>
diff --git a/org.eclipse.jgit.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.test/META-INF/MANIFEST.MF
index cda3fd1..f30f2c9 100644
--- a/org.eclipse.jgit.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.test/META-INF/MANIFEST.MF
@@ -2,48 +2,48 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.test
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Import-Package: com.googlecode.javaewah;version="[0.7.9,0.8.0)",
- org.eclipse.jgit.api;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.api.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.awtui;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.blame;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.console;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.diff;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.dircache;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.events;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.fnmatch;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.gitrepo;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.ignore;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.internal.storage.pack;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.junit;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.merge;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.notes;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.patch;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.pgm;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.pgm.internal;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revplot;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk.filter;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.file;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.storage.pack;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.submodule;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport.http;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.treewalk.filter;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util.io;version="[3.4.0,3.5.0)",
+ org.eclipse.jgit.api;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.api.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.awtui;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.blame;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.console;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.diff;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.dircache;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.events;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.fnmatch;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.gitrepo;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.ignore;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.junit;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.merge;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.notes;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.patch;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.pgm;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.pgm.internal;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revplot;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk.filter;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.file;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.storage.pack;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.submodule;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport.http;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.treewalk.filter;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util.io;version="[3.5.0,3.6.0)",
  org.hamcrest;version="[1.1.0,2.0.0)",
  org.junit;version="[4.4.0,5.0.0)",
  org.junit.experimental.theories;version="[4.4.0,5.0.0)",
diff --git a/org.eclipse.jgit.test/pom.xml b/org.eclipse.jgit.test/pom.xml
index 5e011f9..a3799c4 100644
--- a/org.eclipse.jgit.test/pom.xml
+++ b/org.eclipse.jgit.test/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.test</artifactId>
diff --git a/org.eclipse.jgit.ui/META-INF/MANIFEST.MF b/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
index 4d0a9fe..283b9c8 100644
--- a/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
@@ -3,14 +3,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.ui
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.jgit.awtui;version="3.4.0"
-Import-Package: org.eclipse.jgit.errors;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.lib;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.nls;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revplot;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.revwalk;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.transport;version="[3.4.0,3.5.0)",
- org.eclipse.jgit.util;version="[3.4.0,3.5.0)"
+Export-Package: org.eclipse.jgit.awtui;version="3.5.0"
+Import-Package: org.eclipse.jgit.errors;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.lib;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.nls;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revplot;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.revwalk;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.transport;version="[3.5.0,3.6.0)",
+ org.eclipse.jgit.util;version="[3.5.0,3.6.0)"
diff --git a/org.eclipse.jgit.ui/pom.xml b/org.eclipse.jgit.ui/pom.xml
index 897b9dd..74b8230 100644
--- a/org.eclipse.jgit.ui/pom.xml
+++ b/org.eclipse.jgit.ui/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ui</artifactId>
diff --git a/org.eclipse.jgit/META-INF/MANIFEST.MF b/org.eclipse.jgit/META-INF/MANIFEST.MF
index 1fa0ad9..36acfb6 100644
--- a/org.eclipse.jgit/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit
-Bundle-Version: 3.4.0.qualifier
+Bundle-Version: 3.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.api;version="3.4.0";
+Export-Package: org.eclipse.jgit.api;version="3.5.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff,
@@ -18,48 +18,48 @@
    org.eclipse.jgit.blame,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.merge",
- org.eclipse.jgit.api.errors;version="3.4.0";
+ org.eclipse.jgit.api.errors;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.errors",
- org.eclipse.jgit.blame;version="3.4.0";
+ org.eclipse.jgit.blame;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff",
- org.eclipse.jgit.diff;version="3.4.0";
+ org.eclipse.jgit.diff;version="3.5.0";
   uses:="org.eclipse.jgit.patch,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util",
- org.eclipse.jgit.dircache;version="3.4.0";
+ org.eclipse.jgit.dircache;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.util,
    org.eclipse.jgit.events",
- org.eclipse.jgit.errors;version="3.4.0";
+ org.eclipse.jgit.errors;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.internal.storage.pack,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.events;version="3.4.0";
+ org.eclipse.jgit.events;version="3.5.0";
   uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.fnmatch;version="3.4.0",
- org.eclipse.jgit.gitrepo;version="3.4.0";
+ org.eclipse.jgit.fnmatch;version="3.5.0",
+ org.eclipse.jgit.gitrepo;version="3.5.0";
   uses:="org.eclipse.jgit.api,
    org.eclipse.jgit.lib",
- org.eclipse.jgit.ignore;version="3.4.0",
- org.eclipse.jgit.internal;version="3.4.0";x-friends:="org.eclipse.jgit.test,org.eclipse.jgit.http.test",
- org.eclipse.jgit.internal.storage.dfs;version="3.4.0";x-friends:="org.eclipse.jgit.test",
- org.eclipse.jgit.internal.storage.file;version="3.4.0";
+ org.eclipse.jgit.ignore;version="3.5.0",
+ org.eclipse.jgit.internal;version="3.5.0";x-friends:="org.eclipse.jgit.test,org.eclipse.jgit.http.test",
+ org.eclipse.jgit.internal.storage.dfs;version="3.5.0";x-friends:="org.eclipse.jgit.test",
+ org.eclipse.jgit.internal.storage.file;version="3.5.0";
   x-friends:="org.eclipse.jgit.test,
    org.eclipse.jgit.junit,
    org.eclipse.jgit.junit.http,
    org.eclipse.jgit.http.server,
    org.eclipse.jgit.java7.test,
    org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.storage.pack;version="3.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.lib;version="3.4.0";
+ org.eclipse.jgit.internal.storage.pack;version="3.5.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.lib;version="3.5.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util,
@@ -68,37 +68,37 @@
    org.eclipse.jgit.internal.storage.file,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.transport",
- org.eclipse.jgit.merge;version="3.4.0";
+ org.eclipse.jgit.merge;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.diff,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.nls;version="3.4.0",
- org.eclipse.jgit.notes;version="3.4.0";
+ org.eclipse.jgit.nls;version="3.5.0",
+ org.eclipse.jgit.notes;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.merge",
- org.eclipse.jgit.patch;version="3.4.0";
+ org.eclipse.jgit.patch;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.diff",
- org.eclipse.jgit.revplot;version="3.4.0";
+ org.eclipse.jgit.revplot;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.revwalk",
- org.eclipse.jgit.revwalk;version="3.4.0";
+ org.eclipse.jgit.revwalk;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff,
    org.eclipse.jgit.revwalk.filter",
- org.eclipse.jgit.revwalk.filter;version="3.4.0";
+ org.eclipse.jgit.revwalk.filter;version="3.5.0";
   uses:="org.eclipse.jgit.revwalk,org.eclipse.jgit.util",
- org.eclipse.jgit.storage.file;version="3.4.0";
+ org.eclipse.jgit.storage.file;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.util",
- org.eclipse.jgit.storage.pack;version="3.4.0";
+ org.eclipse.jgit.storage.pack;version="3.5.0";
   uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.submodule;version="3.4.0";
+ org.eclipse.jgit.submodule;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.treewalk,org.eclipse.jgit.treewalk.filter",
- org.eclipse.jgit.transport;version="3.4.0";
+ org.eclipse.jgit.transport;version="3.5.0";
   uses:="org.eclipse.jgit.transport.resolver,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.internal.storage.pack,
@@ -110,21 +110,21 @@
    org.eclipse.jgit.transport.http,
    org.eclipse.jgit.errors,
    org.eclipse.jgit.storage.pack",
- org.eclipse.jgit.transport.http;version="3.4.0";
+ org.eclipse.jgit.transport.http;version="3.5.0";
   uses:="javax.net.ssl",
- org.eclipse.jgit.transport.resolver;version="3.4.0";
+ org.eclipse.jgit.transport.resolver;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.transport",
- org.eclipse.jgit.treewalk;version="3.4.0";
+ org.eclipse.jgit.treewalk;version="3.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.treewalk.filter;version="3.4.0";
+ org.eclipse.jgit.treewalk.filter;version="3.5.0";
   uses:="org.eclipse.jgit.treewalk",
- org.eclipse.jgit.util;version="3.4.0";
+ org.eclipse.jgit.util;version="3.5.0";
   uses:="org.eclipse.jgit.lib,org.eclipse.jgit.transport.http,org.eclipse.jgit.storage.file",
- org.eclipse.jgit.util.io;version="3.4.0"
+ org.eclipse.jgit.util.io;version="3.5.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Require-Bundle: com.jcraft.jsch;bundle-version="[0.1.37,0.2.0)"
diff --git a/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
index dbbbbb0..7a10f93 100644
--- a/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit - Sources
 Bundle-SymbolicName: org.eclipse.jgit.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 3.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit;version="3.4.0.qualifier";roots="."
+Bundle-Version: 3.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit;version="3.5.0.qualifier";roots="."
diff --git a/org.eclipse.jgit/pom.xml b/org.eclipse.jgit/pom.xml
index 90e21e1..b2bdc13 100644
--- a/org.eclipse.jgit/pom.xml
+++ b/org.eclipse.jgit/pom.xml
@@ -53,7 +53,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>3.4.0-SNAPSHOT</version>
+    <version>3.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit</artifactId>
diff --git a/pom.xml b/pom.xml
index 66cc9e0..b38db15 100644
--- a/pom.xml
+++ b/pom.xml
@@ -51,7 +51,7 @@
   <groupId>org.eclipse.jgit</groupId>
   <artifactId>org.eclipse.jgit-parent</artifactId>
   <packaging>pom</packaging>
-  <version>3.4.0-SNAPSHOT</version>
+  <version>3.5.0-SNAPSHOT</version>
 
   <name>JGit - Parent</name>
   <url>${jgit-url}</url>